#!/bin/bash -e

  export COMPSS_PYTHON_VERSION=3.9.10
  module load COMPSs/3.3
  module load dislib/0.8.0

  # Define script variables
  scriptDir=$(pwd)/$(dirname $0)
  execFile=${scriptDir}/src/cc.py
  appPythonpath=${scriptDir}/src/

  # Retrieve arguments
  numNodes=$1
  executionTime=$2
  tracing=$3

  # Leave application args on $@
  shift 3

  # Enqueue the application
  pycompss job submit \
    --provenance \
    --qos=debug \
    --num_nodes=$numNodes \
    --exec_time=$executionTime \
    --worker_working_dir=$(pwd) \
    --tracing=$tracing \
    --graph=true \
    --pythonpath=$appPythonpath \
    --lang=python \
    $execFile $@



######################################################
# APPLICATION EXECUTION EXAMPLE
# Call:
#       ./launch_cc.sh <NUMBER_OF_NODES> <EXECUTION_TIME> <TRACING>
#
# Example:
#       ./launch_cc.sh 2 10 true
#
#####################################################
